<?php
/* 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
Title : 		Class: cTodo
Author : 		Ryan Campbell
URL : 		http://particletree.com

Description : 	Class created to handle todo list operations.

Created : 		09/02/2005
Modified : 		09/02/2005
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
*/

require_once("cDatabase.php");

class cTodo {

	private $cDB;
	private $sessionID;

	function __construct($hostName, $userName, $passwordName, $databaseName, $sessionID) {
		$this->cDB = new cDatabase($hostName, $userName, $passwordName, $databaseName);
		$this->sessionID = $sessionID;
	}
	
	function addItemToList($vals) {
		$names = array("itemDesc", "itemComplete", "sessionID");
		return $this->cDB->sqlInsert($names, $vals, "tTodo");
	}
	
	function removeItemFromList($id) {
		$this->cDB->ExecuteNonQuery("DELETE FROM tTodo WHERE itemID = ".$id);
	}
	
	function completeItem($id) {
		$this->cDB->ExecuteNonQuery("UPDATE tTodo SET itemComplete = 1 WHERE itemID = ".$id);
	}
	
	function displayList($complete) {
		$sql = "SELECT * FROM tTodo WHERE itemComplete = '".$complete."' AND sessionID = '".$this->sessionID."'";
		$rs = $this->cDB->ExecuteReader($sql);
		return $this->transformData('http://localhost/xslTodo/xsl/displayList.xsl', $rs, 'list', 'item');
	}

	function transformData($xslFile, $rs, $parent, $child) {
		$xsl = new DomDocument();
		$xsl->load($xslFile);
		$input = new DomDocument();
		$input->loadXML($this->cDB->ConvertRStoXML($rs, $parent, $child));
		
		$proc = new XsltProcessor();
		$proc->importStylesheet($xsl);
		return (substr($proc->transformToXML($input) ,21));
	}

}
?>